UNRTF(1)

NAME
UnRTF - converts document in RTF format to other formats

SYNOPSIS
unrtf [options] [file...]

Options: [--nopict] [--noremap] [-P config_search_path] [--html] [--text] [--vt] [--rtf] [--latex] [--help] [--verbose] [--quiet] [--version] [-t tags_file]

DESCRIPTION
The program unrtf is a converter from Rich Text Format (RTF) to a growing number of document formats. At present it supports Hypertext Markup Language (HTML), plain text, text with VT100 codes, LaTeX, and RTF itself. It is possible to produce troff files with macro calls; an example configuration for troff and the mm macro package is provided. All output formats except HTML are "alpha" i.e. limited and development has just begun. However with HTML, the program supports tables, fonts, hyperlinks, and paragraph alignment. Font support includes face and size changes, as well as typical attributes such as italic, bold, underlining, strikethrough, smallcaps, allcaps, expand, compress and both foreground and background colors. Images are always stored to separate files in the current directory, or they can be ignored.

Starting with version 0.21.0, all control of unrtf output is through runtime configuration files. This makes it easy for users to fine-tune the output, and/or define new output formats. The configuration files can be read from the distributed ones, or from user files, searched for in the config_search_path . Note that the order of the -P and output arguments is important. The search path must be set before any argument that will load a configuration file if that file is not in the standard place.

Code page conversion is performed with the iconv(3) package.

OPTIONS

--nopict
    disables the automatic storing of embedded pictures to the current directory.

--noremap
    disables charset conversion (currently only works for 8-bit charsets).

--html
    selects HTML output (default).

--rtf
    selects RTF output. The resulting output will often be much smaller than the input.

--text
    selects plain ASCII text output.

--vt
    selects text output with VT100 escape codes.

--latex
    selects output of a LaTeX document.

--verbose
    prints additional information.

--quiet
    suppress output of leading comments

--version
    prints the program version.

-t tags_file
    specifies the tags output configuration file to be used. The command "unrtf -t html" is functionally identical to "unrtf --html". The configuration files are a simple format. To change the behaviour of unrtf, a local copy of a system configuration file can be be made and edited. The most complete configuration file and hence the best starting point is /usr/share/unrtf/html.conf.

-P config_search_path
    specifies the directories in which the configuration file for the specified format will be sought. The path can be provided as a single directory or a list of colon separated directories. The default is /usr/share/unrtf where distributed output configuration files are installed.

FILES

/usr/share/unrtf/*.conf
    – run time output configuration files.

/usr/share/unrtf/SYMBOL.charmap
    – UTF encoding of the SYMBOL font used in many RTF files. Unfortunately the iconv package does not include font encodings. The format is identical to iconv code page files.

WEBSITE
http://www.gnu.org/software/unrtf/unrtf.html

NOTES
Report bugs in the program to http://savannah.gnu.org/projects/unrtf/